Skip to main content
POST
/
v1
/
memories
/
search
Search memories
curl --request POST \
  --url https://pnbr.io/v1/memories/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "procurement",
  "project_id": "9142fa4d-7aad-4a1b-8f99-b522fd37518d"
}
'
{
  "query": "procurement",
  "project_id": "9142fa4d-7aad-4a1b-8f99-b522fd37518d",
  "planes": [
    "memory"
  ],
  "nodes": [
    {
      "id": "92e22e9e-ace5-4f88-9972-a2b099f313b1",
      "type": "memory",
      "name": "Enterprise buyers stall on procurement, not price.",
      "properties": {
        "kind": "observation",
        "content": "Enterprise buyers stall on procurement, not price.",
        "memory_schema": "papi.memory/v1"
      },
      "plane": "memory",
      "created_at": "2026-06-16T00:01:16.851Z",
      "updated_at": "2026-06-16T00:01:16.851Z"
    }
  ],
  "edges": [],
  "count": 1,
  "request_id": "a2eb1c9d-5845-46a6-8b17-de7bd679e1df"
}

Authorizations

Authorization
string
header
required

A pnbr- API key. Project-scoped keys make project_id implicit; org-scoped keys require it.

Body

application/json
query
string
limit
integer
project_id
string

Response

200 - application/json

Matching memories with adjacent edges.